org.jgroups.blocks

## Interface VotingListener

All Known Implementing Classes:
  TwoPhaseVotingAdapter.TwoPhaseVoteWrapper

    public interface VotingListener

Implemetations of this interface are able to participate in voting process.

Author:
  Roman Rokytskyy (rrokytskyy@acm.org)

### Method Summary

Methods
`boolean` `vote(java.lang.Object decree)` Each member is able to vote with `true` or `false` messages.

### Method Detail

#### vote

    boolean vote(java.lang.Object decree)
                 throws VoteException

Each member is able to vote with `true` or `false` messages. If the member does not know what to do with the `decree` it should throw `VoteException`. Doing this he will be excluded from voting process and will not influence the result.

Parameters:
  `decree` - object representing the decree of current voting.
Throws:
  `VoteException` - if listener does not know the meaning of the decree and wants to be excluded from this voting.